package com.gyee.edge.common.utils;

import org.apache.commons.lang3.StringUtils;

import java.util.UUID;

/**
 * String辅助类
 * 
 */
public class StringUtil extends StringUtils {
	
	/**
	 * 非空判断
	 * 
	 * @param obj
	 * @return
	 */
	public static boolean isNotBlank(Object obj) {
		return !isBlank(obj);
	}

	/**
	 * 为空判断
	 * 
	 * @param obj
	 * @return
	 */
	public static boolean isBlank(Object obj) {
		if (obj == null || StringUtils.isBlank(obj.toString())) {
			return true;
		}
		return false;
	}

	/**
	 * 获得一个UUID
	 * @return String UUID
	 */
	public static String getUUID(){
		String uuid = UUID.randomUUID().toString();
		//去掉“-”符号
		return uuid.replaceAll("-", "");
	}

}
